Open CASCADE Technology: GeomAPI Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
GeomAPI Class Reference

The GeomAPI package provides an Application Programming Interface for the Geometry. More...

`#include <GeomAPI.hxx>`

## Static Public Member Functions
static Handle< Geom2d_Curve > | To2d (const Handle< Geom_Curve > &C, const gp_Pln &P)
| This function builds (in the parametric space of the plane P) a 2D curve equivalent to the 3D curve C. The 3D curve C is considered to be located in the plane P. Warning The 3D curve C must be of one of the following types: More...
static Handle< Geom_Curve > | To3d (const Handle< Geom2d_Curve > &C, const gp_Pln &P)
| Builds a 3D curve equivalent to the 2D curve C described in the parametric space defined by the local coordinate system of plane P. The resulting 3D curve is of the same nature as that of the curve C. More...

## Detailed Description

The GeomAPI package provides an Application Programming Interface for the Geometry.

The API is a set of classes and methods aiming to provide :

- High level and simple calls for the most common operations.
- Keeping an access on the low-level implementation of high-level calls.

The API provides classes to call the algorithmes of the Geometry

- The constructors of the classes provides the different constructions methods.
- The class keeps as fields the different tools used by the algorithmes
- The class provides a casting method to get automatically the result with a function-like call.

For example to evaluate the distance <D> between a point

and a curve `, one can writes :`

`D = GeomAPI_ProjectPointOnCurve(P,C);`

`or`

`GeomAPI_ProjectPointOnCurve PonC(P,C); D = PonC.LowerDistance();`

## Member Function Documentation

static Handle< Geom2d_Curve > GeomAPI::To2d | ( | const Handle< Geom_Curve > & | C,
|  | const gp_Pln & | P
| ) |  |
| static

This function builds (in the parametric space of the plane P) a 2D curve equivalent to the 3D curve C. The 3D curve C is considered to be located in the plane P. Warning The 3D curve C must be of one of the following types:

- a line
- a circle
- an ellipse
- a hyperbola
- a parabola
- a Bezier curve
- a BSpline curve Exceptions Standard_NoSuchObject if C is not a defined type curve.

static Handle< Geom_Curve > GeomAPI::To3d | ( | const Handle< Geom2d_Curve > & | C,
|  | const gp_Pln & | P
| ) |  |
| static

Builds a 3D curve equivalent to the 2D curve C described in the parametric space defined by the local coordinate system of plane P. The resulting 3D curve is of the same nature as that of the curve C.

The documentation for this class was generated from the following file:

- GeomAPI.hxx